tigase.eventbus.component.stores

## Class SubscriptionStore

- java.lang.Object
- - tigase.eventbus.component.stores.SubscriptionStore

-     @Bean(name="subscriptionStore",
            parent=EventBusComponent.class,
            active=true)
      public class SubscriptionStore
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriptionStore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSubscription(String eventPackage, String eventName, Subscription subscription)`
    `Collection<Subscription>` | `getAllData()`
    `Set<EventName>` | `getSubscribedEvents()`
    `Collection<Subscription>` | `getSubscribersJIDs(String eventPackage, String eventName)`
    `boolean` | `hasSubscriber(String eventPackage, String eventName)`
    `void` | `remove(Subscription jid)`
    `void` | `removeSubscription(String eventPackage, String eventName, Subscription jidInstanceNS)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final Logger log

  - ### Constructor Detail

    - #### SubscriptionStore

          public SubscriptionStore()

  - ### Method Detail

    - #### addSubscription

          public void addSubscription(String eventPackage,
                                      String eventName,
                                      Subscription subscription)

    - #### getAllData

          public Collection<Subscription> getAllData()

    - #### getSubscribedEvents

          public Set<EventName> getSubscribedEvents()

    - #### getSubscribersJIDs

          public Collection<Subscription> getSubscribersJIDs(String eventPackage,
                                                             String eventName)

    - #### hasSubscriber

          public boolean hasSubscriber(String eventPackage,
                                       String eventName)

    - #### remove

          public void remove(Subscription jid)

    - #### removeSubscription

          public void removeSubscription(String eventPackage,
                                         String eventName,
                                         Subscription jidInstanceNS)

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.